class UserControl extends DatasetControl {
	constructor(conf) {
		super(conf || {
			prefix:"user",
			prefixName:"사용자",
			infoSize:"xl",
			keymapper:info => info ? info.USER_ID : "",
			dataGetter:obj => obj.userList,
			formats: {
				REG_DT:datetimeFormat
			}
		});
	}
	
	async selectUser(multiple) {
		return new Promise((resolve, reject) => {
			ajax.get({
				url:this.url("/select.do"),
				data:{multiple:multiple},
				success:resp => {
					dialog.open({
						title:"사용자 선택",
						content:resp,
						getData:() => {return getSelectedUser();},
						onOK:(selected) => resolve(selected)
					});
				}
			});
		});
	}
}